#
# spec file for package ge_site (Version 1.2)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  ge_exec xaw3d

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         ge_site
Release:      5
Copyright:    
Group: 
Provides:     e-site site-lisp 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Summary:      Site-lisp extensions for GNU emacs
Version:      1.2
Source0: site-lisp.tar.gz
%description
This package contains extensions for GNU emacs of the site-lisp path of
emacs. It puts together the AUC-TeX package (version 9.7p) and
a system wide startup file (site-start.el) which uses a few lisp macro
files combined by us. For copyright have a look on these files.
Note, that GNU-Emacs and XEmacs are incompatible. They use different
binary code for compiled lisp files and they have different builtin
lisp functions, not only names of such functions are different.
Therfore you will find in /etc/skel/ an .emacs for your personal ~/.emacs
which will switch between different init files.
Fore GNU emacs there is a /etc/skel/.gnu-emacs for a personal ~/.gnu-emacs
and therefore your ~/.emacs or ~/.gnu-emacs files should be checked against
the /etc/skel versions.
You can always make your preferred ~/.gnu-emacs by copying the
/etc/skel/.emacs and /etc/skel/.gnu-emacs file in your HOME directory
and incorporating your extensions or changes.

Authors:
--------
    Jonathan Stigelman <stig@hackvan.com>
    Per Abrahamsen <abraham@iesd.auc.dk>
    Werner Fink <werner@suse.de>
    Alon Albert <alon@milcse.rtsg.ai.edu>
    Wayne Mesard <wmesard@cs.stanford.edu>
    Bruno Salvy <salvy@inria.inria.fr>
    Marc Andreessen <marca@ncsa.uiuc.edu>
    Inge Frick <inge@nada.kth.se>
    Lawrence R. Dodd <dodd@roebling.poly.edu>
    Mark B. Motl <motl@cssun.tamu.edu>

%prep
%setup -c -n ge_site -D -T -a 0
%build
export LC_CTYPE=ISO-8859-1
   (cd site-lisp/; emacs -batch -q --no-site -f batch-byte-compile *.el)
   rm site-lisp/site-start.elc
   install -m 0444 dot.gnu-emacs /etc/skel/.gnu-emacs
%install
   tar cf - site-lisp/ | tar xvvf - -C /usr/share/emacs/
%files
/etc/skel/.gnu-emacs
%dir /usr/share/emacs/site-lisp/
/usr/share/emacs/site-lisp/column.el
/usr/share/emacs/site-lisp/column.elc
/usr/share/emacs/site-lisp/complete-menu.el
/usr/share/emacs/site-lisp/complete-menu.elc
/usr/share/emacs/site-lisp/cweb.el
/usr/share/emacs/site-lisp/cweb.elc
/usr/share/emacs/site-lisp/dialog-y-n.el
/usr/share/emacs/site-lisp/dialog-y-n.elc
/usr/share/emacs/site-lisp/ger-keys.el
/usr/share/emacs/site-lisp/ger-keys.elc
/usr/share/emacs/site-lisp/hilit19.el
/usr/share/emacs/site-lisp/hilit19.el.orig
/usr/share/emacs/site-lisp/hilit19.elc
/usr/share/emacs/site-lisp/hl319.el
/usr/share/emacs/site-lisp/hl319.el.orig
/usr/share/emacs/site-lisp/hl319.elc
/usr/share/emacs/site-lisp/hscroll.el
/usr/share/emacs/site-lisp/hscroll.elc
/usr/share/emacs/site-lisp/maple.el
/usr/share/emacs/site-lisp/maple.elc
/usr/share/emacs/site-lisp/mime-compose.el
/usr/share/emacs/site-lisp/mime-compose.elc
/usr/share/emacs/site-lisp/rmailgen.el
/usr/share/emacs/site-lisp/rmailgen.elc
/usr/share/emacs/site-lisp/site-start.el
/usr/share/emacs/site-lisp/stig-paren.el
/usr/share/emacs/site-lisp/stig-paren.elc
/usr/share/emacs/site-lisp/timecard-mode.el
/usr/share/emacs/site-lisp/timecard-mode.elc
/usr/share/emacs/site-lisp/vt200-esc-fix.el
/usr/share/emacs/site-lisp/vt200-esc-fix.elc
/usr/share/emacs/site-lisp/web-mode.el
/usr/share/emacs/site-lisp/web-mode.elc
/usr/share/emacs/site-lisp/xfonts.el
/usr/share/emacs/site-lisp/xfonts.elc

